TSLMENDIAN(1)

NAME
tslmendian - change the byte-order of sunpinyin's threaded back-off language model

SYNOPSIS
tslmendian [option]

DESCRIPTION
slmendian converts the binary language model files used by SunPinyin from big-endian to small-endian or vice versa.

OPTIONS

-e endian
    Specify the output-lm-file's endian-ness. It can be le or ge. If not given, tslmendian uses the host's endian-ness.

-v  Prints out the endian-ness of input-lm-file.

-i input-lm-file
    Identify the input file of convert. Generally, this file is generated by slmthread.

-o out-lm-file
    Identify the output file of convert.

NOTES
The converted output file is equivalent to the input. But if you compare the output of tslminfo of both files, the ARPA file generated by tslminfo may different. This is due to the different precision in different machines.

And due to uninitialized padding data in data structure, the checksum of the original data file may different from the converted-back file, even though they are identical from SunPinyin's point of view.

AUTHOR
Originally written by Kov. Chai <tchaikov.gmail.com>. Currently maintained by Kov.Chai <tchaikov@gmail.com>.

SEE ALSO
slmthread(1). tslminfo.